#! /bin/bash

desktopVar=$(cat $HOME/.config/user-dirs.dirs | grep "XDG_DESKTOP_DIR")
desktopFolder=$(echo ${desktopVar/XDG_DESKTOP_DIR=/""} | tr -d '"')

BIT=32
if [ `getconf LONG_BIT` = "64" ]
then
    BIT=64
fi

FILE=$(eval echo $desktopFolder/Horizon$BIT.desktop)
echo "Creating: $FILE..."
touch $FILE
echo "[Desktop Entry]" > $FILE
echo "Name=Horizon" >> $FILE
echo "Type=Application" >> $FILE
echo "StartupNotify=true" >> $FILE
echo "Exec=$PWD/main$BIT" >> $FILE
echo "Path=$PWD/" >> $FILE
echo "Icon=$PWD/media/icon.png" >> $FILE
chmod ug+x $FILE

